'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTabs = require('react-tabs');

require('./style.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RequestViewRp = function (_Component) {
    _inherits(RequestViewRp, _Component);

    function RequestViewRp(props) {
        _classCallCheck(this, RequestViewRp);

        return _possibleConstructorReturn(this, (RequestViewRp.__proto__ || Object.getPrototypeOf(RequestViewRp)).call(this, props));
    }

    _createClass(RequestViewRp, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                umutiView = _props.umutiView,
                wrapperClass = _props.wrapperClass,
                tabOneTitle = _props.tabOneTitle,
                tabTwoTitle = _props.tabTwoTitle,
                viewTitle = _props.viewTitle,
                buttonOneText = _props.buttonOneText,
                buttonTwoText = _props.buttonTwoText,
                buttonThreeText = _props.buttonThreeText,
                buttonIconOne = _props.buttonIconOne,
                buttonIconTwo = _props.buttonIconTwo,
                buttonIconThree = _props.buttonIconThree,
                requestTitle = _props.requestTitle,
                requestSubTitle = _props.requestSubTitle,
                requestViewTable = _props.requestViewTable,
                pharmacyTitleColor = _props.pharmacyTitleColor,
                suggest = _props.suggest;

            return _react2.default.createElement(
                'div',
                { className: 'row reset-row create-wrapper orderWrapper ' + umutiView },
                _react2.default.createElement(
                    'div',
                    { className: 'col-lg-12 col-md-12 col-sm-12 col-xs-12 col-reset' },
                    _react2.default.createElement(
                        _reactTabs.Tabs,
                        null,
                        _react2.default.createElement(
                            _reactTabs.TabList,
                            null,
                            _react2.default.createElement(
                                _reactTabs.Tab,
                                null,
                                _react2.default.createElement(
                                    'h5',
                                    null,
                                    _react2.default.createElement(
                                        'span',
                                        { className: 'request-tab' },
                                        tabOneTitle
                                    )
                                )
                            ),
                            _react2.default.createElement(
                                _reactTabs.Tab,
                                null,
                                _react2.default.createElement(
                                    'h5',
                                    null,
                                    _react2.default.createElement(
                                        'span',
                                        { className: 'request-tab' },
                                        tabTwoTitle
                                    )
                                )
                            )
                        ),
                        _react2.default.createElement(
                            _reactTabs.TabPanel,
                            null,
                            _react2.default.createElement(
                                'div',
                                { className: 'create-content shadow-box ' + wrapperClass },
                                _react2.default.createElement(
                                    'div',
                                    { className: 'create-header' },
                                    _react2.default.createElement(
                                        'span',
                                        { className: 'umuti-create-title' },
                                        viewTitle
                                    ),
                                    _react2.default.createElement(
                                        'span',
                                        null,
                                        _react2.default.createElement(
                                            'span',
                                            null,
                                            _react2.default.createElement(
                                                'button',
                                                { className: 'white-btn' },
                                                _react2.default.createElement('span', { className: buttonIconOne }),
                                                buttonOneText
                                            )
                                        ),
                                        _react2.default.createElement(
                                            'span',
                                            null,
                                            _react2.default.createElement(
                                                'button',
                                                { className: 'white-btn' },
                                                _react2.default.createElement('span', { className: buttonIconTwo }),
                                                buttonTwoText
                                            )
                                        ),
                                        _react2.default.createElement(
                                            'span',
                                            null,
                                            _react2.default.createElement(
                                                'button',
                                                { className: 'white-btn', onClick: suggest },
                                                _react2.default.createElement('span', { className: buttonIconThree }),
                                                buttonThreeText
                                            )
                                        )
                                    )
                                ),
                                _react2.default.createElement(
                                    'div',
                                    { className: 'row reset-row create-form form-container' },
                                    _react2.default.createElement(
                                        'div',
                                        { className: 'pharmacy-title', style: { color: pharmacyTitleColor } },
                                        requestTitle
                                    ),
                                    _react2.default.createElement(
                                        'div',
                                        { className: 'pharmacy-subtitle' },
                                        requestSubTitle
                                    ),
                                    _react2.default.createElement(
                                        'div',
                                        { className: 'col-lg-12 col-md-12 col-sm-12 col-xs-12 col-reset' },
                                        requestViewTable
                                    )
                                )
                            )
                        ),
                        _react2.default.createElement(
                            _reactTabs.TabPanel,
                            null,
                            _react2.default.createElement(
                                'div',
                                { className: 'create-content shadow-box ' + wrapperClass },
                                _react2.default.createElement(
                                    'div',
                                    { className: 'create-header' },
                                    _react2.default.createElement(
                                        'span',
                                        { className: 'umuti-create-title' },
                                        viewTitle
                                    ),
                                    _react2.default.createElement(
                                        'span',
                                        null,
                                        _react2.default.createElement(
                                            'span',
                                            null,
                                            _react2.default.createElement(
                                                'button',
                                                { className: 'white-btn' },
                                                _react2.default.createElement('span', { className: buttonIconOne }),
                                                buttonOneText
                                            )
                                        ),
                                        _react2.default.createElement(
                                            'span',
                                            null,
                                            _react2.default.createElement(
                                                'button',
                                                { className: 'white-btn' },
                                                _react2.default.createElement('span', { className: buttonIconTwo }),
                                                buttonTwoText
                                            )
                                        ),
                                        _react2.default.createElement(
                                            'span',
                                            null,
                                            _react2.default.createElement(
                                                'button',
                                                { className: 'white-btn', onClick: suggest },
                                                _react2.default.createElement('span', { className: buttonIconThree }),
                                                buttonThreeText
                                            )
                                        )
                                    )
                                ),
                                _react2.default.createElement(
                                    'div',
                                    { className: 'row reset-row create-form form-container' },
                                    _react2.default.createElement(
                                        'div',
                                        { className: 'pharmacy-title', style: { color: pharmacyTitleColor } },
                                        requestTitle
                                    ),
                                    _react2.default.createElement(
                                        'div',
                                        { className: 'pharmacy-subtitle' },
                                        requestSubTitle
                                    ),
                                    _react2.default.createElement(
                                        'div',
                                        { className: 'col-lg-12 col-md-12 col-sm-12 col-xs-12 col-reset' },
                                        requestViewTable
                                    )
                                )
                            )
                        )
                    )
                )
            );
        }
    }]);

    return RequestViewRp;
}(_react.Component);

;

exports.default = RequestViewRp;